/******************************************************************************
 * @Function Name      :
 *-----------------------------------------------------------------------------
 * @Description        :
 * @Function Parameters:
 * @Return Value       :
 * @Author             : Zhang Xin
 * @Date               : 2021/3/3 11:02
 ******************************************************************************/
package logger

import "testing"

func TestPrintLog(t *testing.T) {
	err := InitConfig()
	if err != nil {
		t.Fatal("初始化日志模块配置失败,错误为:", err)
	}
	testLogger, err := NewLogger("TEST_SOURCE", "TEST_OPERATOR", "TEST_MODULE")
	if err != nil {
		t.Fatal("初始化logger对象失败, 错误为:", err)
	}
	testLogger.Debug("DEBUG日志", "额外信息1", "额外信息2")
	testLogger.Info("INFO日志", "额外信息1", "额外信息2")
	testLogger.Warn("WARN日志", "额外信息1", "额外信息2")
	testLogger.Error("ERROR日志", "额外信息1", "额外信息2")
	testLogger.Fatal("Fatal日志", "额外信息1", "额外信息2")
	t.Log("测试完成")
}
